Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.soap.axis
Class AxisSOAPConnectorSoapBindingSkeleton

    java.lang.Object
      org.jboss.remoting.transport.soap.axis.AxisSOAPConnectorSoapBindingSkeleton

All Implemented Interfaces:
  AxisSOAPConnector, Remote, org.apache.axis.wsdl.Skeleton

public class AxisSOAPConnectorSoapBindingSkeleton
extends Object
implements AxisSOAPConnector, org.apache.axis.wsdl.Skeleton

SOAP skeleton

Author:
  Tom Elrod, Jeff Haynie

Constructor Summary
`AxisSOAPConnectorSoapBindingSkeleton()`
`AxisSOAPConnectorSoapBindingSkeleton(AxisSOAPConnector impl)`

Method Summary
`static List` | `getOperationDescByName(String methodName)` Returns List of OperationDesc objects with this name
`static Collection` | `getOperationDescs()` Returns Collection of OperationDescs
`void` | `initialize(String in0)`
`byte[]` | `transport(byte[] in0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisSOAPConnectorSoapBindingSkeleton

    public AxisSOAPConnectorSoapBindingSkeleton()

### AxisSOAPConnectorSoapBindingSkeleton

    public AxisSOAPConnectorSoapBindingSkeleton(AxisSOAPConnector impl)

Method Detail

### getOperationDescByName

    public static List getOperationDescByName(String methodName)

  Returns List of OperationDesc objects with this name

### getOperationDescs

    public static Collection getOperationDescs()

  Returns Collection of OperationDescs

### transport

    public byte[] transport(byte[] in0)
                     throws IOException,
                            RemoteException

  Specified by:
    `transport` in interface `AxisSOAPConnector`
  Throws:
    `IOException`
    `RemoteException`

### initialize

    public void initialize(String in0)
                    throws RemoteException

  Specified by:
    `initialize` in interface `AxisSOAPConnector`
  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.